> ## Documentation Index
> Fetch the complete documentation index at: https://docs.n8negri.xyz/llms.txt
> Use this file to discover all available pages before exploring further.

# Create Video



## OpenAPI

````yaml /api-reference/openapi.json post /v1/videos
openapi: 3.1.0
info:
  title: Imtegrate API
  version: dev
servers: []
security: []
paths:
  /v1/videos:
    post:
      tags:
        - videos
      summary: Create Video
      operationId: create_video_v1_videos_post
      parameters:
        - name: sync
          in: query
          required: false
          schema:
            type: boolean
            default: false
            title: Sync
        - name: Idempotency-Key
          in: header
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Idempotency-Key
        - name: Authorization
          in: header
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Authorization
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/VideoCreate'
      responses:
        '202':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/VideoOut'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    VideoCreate:
      properties:
        template_id:
          type: string
          format: uuid
          title: Template Id
        modifications:
          items:
            $ref: '#/components/schemas/Modification'
          type: array
          title: Modifications
        duration_seconds:
          anyOf:
            - type: number
              maximum: 60
              minimum: 0.5
            - type: 'null'
          title: Duration Seconds
        fps:
          anyOf:
            - type: integer
              maximum: 60
              minimum: 10
            - type: 'null'
          title: Fps
        webhook_url:
          anyOf:
            - type: string
            - type: 'null'
          title: Webhook Url
        metadata:
          additionalProperties: true
          type: object
          title: Metadata
      type: object
      required:
        - template_id
      title: VideoCreate
    VideoOut:
      properties:
        id:
          type: string
          format: uuid
          title: Id
        object:
          type: string
          title: Object
          default: video
        org_id:
          type: string
          format: uuid
          title: Org Id
        template_id:
          type: string
          format: uuid
          title: Template Id
        template_version:
          type: integer
          title: Template Version
        status:
          type: string
          title: Status
        modifications:
          items:
            additionalProperties: true
            type: object
          type: array
          title: Modifications
        duration_seconds:
          anyOf:
            - type: number
            - type: 'null'
          title: Duration Seconds
        fps:
          type: integer
          title: Fps
        width:
          anyOf:
            - type: integer
            - type: 'null'
          title: Width
        height:
          anyOf:
            - type: integer
            - type: 'null'
          title: Height
        result_url:
          anyOf:
            - type: string
            - type: 'null'
          title: Result Url
        thumbnail_url:
          anyOf:
            - type: string
            - type: 'null'
          title: Thumbnail Url
        error:
          anyOf:
            - additionalProperties: true
              type: object
            - type: 'null'
          title: Error
        duration_ms:
          anyOf:
            - type: integer
            - type: 'null'
          title: Duration Ms
        created_at:
          type: string
          format: date-time
          title: Created At
        started_at:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Started At
        completed_at:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Completed At
      type: object
      required:
        - id
        - org_id
        - template_id
        - template_version
        - status
        - modifications
        - duration_seconds
        - fps
        - width
        - height
        - result_url
        - thumbnail_url
        - error
        - duration_ms
        - created_at
        - started_at
        - completed_at
      title: VideoOut
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    Modification:
      properties:
        name:
          type: string
          title: Name
        text:
          anyOf:
            - type: string
            - type: 'null'
          title: Text
        image_url:
          anyOf:
            - type: string
            - type: 'null'
          title: Image Url
        color:
          anyOf:
            - type: string
            - type: 'null'
          title: Color
        number:
          anyOf:
            - type: number
            - type: integer
            - type: 'null'
          title: Number
      type: object
      required:
        - name
      title: Modification
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError

````